package com.zhongzheng.modules.collect.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.collect.bo.CollectCourseAddBo;
import com.zhongzheng.modules.collect.bo.CollectCourseEditBo;
import com.zhongzheng.modules.collect.bo.CollectCourseQueryBo;
import com.zhongzheng.modules.collect.domain.CollectCourse;
import com.zhongzheng.modules.collect.vo.CollectCourseVo;

import java.util.Collection;
import java.util.List;

/**
 * 收藏课程Service接口
 *
 * @author ruoyi
 * @date 2021-06-22
 */
public interface ICollectCourseService extends IService<CollectCourse> {
	/**
	 * 查询单个
	 * @return
	 */
	CollectCourseVo queryById(Long collectCourseId);


	CollectCourse queryByCourseId(Long userID,Long courseId);

	/**
	 * 查询列表
	 */
	List<CollectCourseVo> queryList(CollectCourseQueryBo bo);

	List<CollectCourseVo> selectList(CollectCourseQueryBo bo);

	/**
	 * 根据新增业务对象插入收藏课程
	 * @param bo 收藏课程新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(CollectCourseAddBo bo);

	/**
	 * 根据编辑业务对象修改收藏课程
	 * @param bo 收藏课程编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(CollectCourseEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
